    #contenedor_principal {
        width: 100%;
        height: auto;
    }
    
    #contenedor_encabezado {
        background: rgba(0, 0, 0, 0.76) !important;
    }
    
    #imagen_logo1 {
        width: 19vh !important;
        height: auto;
    }
    
    #contenedor_slider {
        width: 100% !important;
        height: auto;
    }
    
    /*estilos menu escritorio*/
    
    nav {
        background: linear-gradient(90deg, rgb(65, 47, 1), rgb(251, 251, 251), rgb(65, 47, 1), rgb(251, 251, 251), rgb(65, 47, 1), rgb(251, 251, 251), rgb(65, 47, 1)) !important;
        width: 100% !important;
        height: auto;
            }
    
    .navbar-brand {
        color: black;
        
    }
    
   
    
    nav ul li a {
        color: black;
    }
    /*estilos cuerpo de la pagina*/
    
    #contenedor_contenido_pagina {
        width: 100% !important;
        height: auto;
    }
    /*estilos footer*/
    
    footer {
        background: rgba(0, 0, 0, 0.889) !important;
        ;
    }
    
    .dropdown-toggle::after {
        display: none !important;
    }
    
    .dropdown-menu {
        background: rgb(217, 191, 93, 0.95) !important;
    }
    
    .show {
        border-radius: 0px !important;
        border: 1px solid transparent !important;
    }
    
    .dropdown-menu li a:hover {
        background: rgba(254, 254, 254, 0.45) !important;
    }
    
    .dropdown-menu li a {
        font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif
    }
    
    .dropdown a:hover {
        color: black!important;
    }
    /*estilos tarjetas*/
    
    .margen_tarjetas {
        margin: 0px auto !important;
    }
    
    .margen_tarjetas img {
        margin: 0px auto;
    }
    /**/
    /* From Uiverse.io by gharsh11032000 */
    
    .card-container {
        width: auto;
        height: auto;
        position: relative;
        border-radius: 10px;
    }
    
    .card-container::before {
        content: "";
        z-index: -1;
        position: absolute;
        inset: 0;
        background: linear-gradient(-45deg, rgb(214, 188, 92), gray 100%);
        transform: translate3d(0, 0, 0) scale(0.95);
        filter: blur(20px);
    }
    
    .card {
        width: 100%;
        height: 100%;
        border-radius: 0px !important;
        overflow: hidden;
    }
    
    .card .img-content {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        background: linear-gradient(-45deg, rgb(214, 188, 92), gray 100%);
        transition: scale 0.6s, rotate 0.6s, filter 1s;
    }
    
    .card .img-content svg {
        width: 50px;
        height: 50px;
        fill: #e8e8e8;
        transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
    }
    
    .card .content {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        color: Black;
        padding: 20px;
        line-height: 1.5;
        border-radius: 5px;
        opacity: 0;
        pointer-events: none;
        transform: translateY(50px);
        transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
    }
    
    .card .content .heading {
        font-size: 32px;
        font-weight: 700;
    }
    
    .card:hover .content {
        opacity: 1;
        transform: translateY(0);
    }
    
    .card:hover .img-content {
        scale: 2.5;
        rotate: 30deg;
        filter: blur(7px);
    }
    
    .card:hover .img-content svg {
        fill: transparent;
    }
    
    .lead {
        font-weight: 500 !important;
        text-align: right !important;
    }
    /*estilo slider servicios*/
    
    #nav_slider_servicios {
        background: transparent !important;
    }
    
    .ejemplo2 {
        display: flex;
        justify-content: center;
        margin-top: 10px;
    }
    
    #nav_slider_servicios {
        background: #ffffff !important;
        /* fallback for old browsers */
        background: -webkit-linear-gradient(to bottom, #FFFFFF, #bbc2c5, #727577) !important;
        /* Chrome 10-25, Safari 5.1-6 */
        background: linear-gradient(to bottom, #FFFFFF, #7b8183, #6b7579) !important;
        /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    }
    
    .ejemplo2 ul {
        list-style: none;
        display: flex;
    }
    
    .ejemplo2 ul li a img {
        width: 100%;
        opacity: 100%;
        transition: 0.2s;
        filter: grayscale(50%);
    }
    
    .ejemplo2 ul li a img:hover {
        opacity: 100%;
        filter: grayscale(0%);
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    }
    
    .ejemplo2 ul li a img:active {
        transform: scale(0.8);
    }
    
    .ejemplo2 ul li {
        margin-left: 8px !important;
        margin-right: 8px !important;
    }
    
    .margen {
        width: 170px;
        height: 170px;
        font-weight: lighter;
    }
    
    .ejemplo2:hover {
        z-index: 999;
    }
    /*medias que controlan cuando aparece carousel version escritorio y version movil o tablet*/
    
    @media(max-height: 1200px) {
        .version_movil_carousel {
            display: none;
        }
        #titulo {
            font-size: 1.2em;
            justify-content: first baseline;
            color: white;
        }
        #titulo span {
            position: relative;
            justify-items: self-start;
            margin-top: 3.5vh;
            padding-left: 5%;
        }
        .content p {
            font-size: 15px;
        }
        .banner_movil{
            display:none !important;
        }
    }
    
    .card-container::before {
        background: white !important;
    }
    
    .card {
        border: 1px solid white !important;
    }
    
    h5 {
        text-align: center !important;
        justify-content: center !important;
    }
    
    @media(max-height: 1080px) {
        .version_movil_carousel {
            display: none;
        }
        #titulo {
            font-size: 1em;
            justify-content: first baseline;
            color: white;
        }
        #titulo span {
            position: relative;
            justify-items: self-start;
            margin-top: 3.5vh;
            padding-left: 5%;
        }
    }
    
    @media(max-height: 768px) {
        .version_movil_carousel {
            display: none;
        }
        #titulo {
            font-size: 0.7em;
            justify-content: first baseline;
            color: white;
        }
        #titulo span {
            position: relative;
            justify-items: self-start;
            margin-top: 3.9vh;
            padding-left: 5%;
        }
        .content p {
            font-size: 10px !important;
        }
    }
    
    @media(max-width: 991px) {
        #titulo {
            display: none !important;
        }
        .navbar-toggler {
            margin-right: 5px !important;
        }
        .navbar-brand {
            margin-left: 5px !important;
        }
        .ejemplo2 {
            display: none !important;
        }
        #contenedor_slider {
            display: block !important;
        }
        #contenedor_global_tarjetas {
            width: 80% !important;
            margin: 0px auto !important;
        }
        #contenedor_tarjetas {
            width: 100% !important;
        }
        h5 {
            font-size: 15px !important;
        }
        .content p {
            font-size: 12px !important;
        }
        .banner_movil{
            display:flex !important;
            width:100% !important;
            height:auto !important;
        }
        .fondo_maquinados {
            display:none !important;
        }#contenedor_principal{
        overflow:hidden !important;
    }
    #imagen_logo2{
        display:none !important;
    }
    .boton_arriba{
        display:none !important;
    }
    .btn_class {
        margin-left:5px !important;
    }
    }
    
    @media(max-width: 1240px) {
        .version_movil_carousel {
            display: block;
        }
        .ejemplo2 {}
        .banda_slider_escritorio {
            display: none;
        }
        #titulo span {
            margin-left: 5px !important;
        }
    }
    
    @media(max-height: 1050px) {
        #contenedor_tarjetas {
            gap: 25px !important;
        }
    }
    
    @media(max-width: 430px) {
        .content p {
            font-size: 12px !important;
        }
    }
    
    @media(max-width: 1366px) {}
    
    @media(max-width: 1680px) {
        .content p {
            font-size: 10.5px !important;
        }
    }
    
    html {
        scroll-behavior: smooth !important;
    }
    
    #contenedor_global_tarjetas {
        scroll-margin-top: 25px !important;
    }
    
    #contenedor_footer {
        scroll-margin-top: 10px !important;
    }
    
    #contenedor_slider_servicios {
        scroll-margin-top: 25px !important;
    }
    
    .active,
    .btn_class:hover {
        color: white !important;
    }
    
    
    /*estilos prtogramación*/


.img_marcas{
margin: 0px auto !important;
    display: block !important;
    width: 100%  !important;
    padding: 1rem !important;

}
    